#include "ExtendedLogViewer.hpp"
#include "ExtendedLog/TextLogReader.hpp"
#include "log_content.h"

#include <QApplication>
#include <QFile>

int main(int argc, char const *argv[])
{
	QApplication app(argc, nullptr);

	QFile file = QFile("tmp.log");
	if (file.open(QIODevice::ReadWrite))
	{
		file.write(LOG_CONTENT);
		file.close();
	}

	ExtendedLog::TextLogReader reader("tmp.log");
	ExtendedLogViewer::ExtendedLogViewer viewer(&reader, QIcon{},"Test");

	viewer.show();

	return app.exec();
}
